BallonStyle (KML Framework API)
Keywords: org.boehn.kmlframework.kml.BallonStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class BallonStyle

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.BallonStyle

    public class BallonStyle

extends KmlObject

Constructor Summary
`BallonStyle()`
`BallonStyle(java.lang.String bgColor, java.lang.String textColor, java.lang.String text, DisplayModeEnum displayMode)`

Method Summary
`java.lang.String` | `getBgColor()`
`DisplayModeEnum` | `getDisplayMode()`
`java.lang.String` | `getText()`
`java.lang.String` | `getTextColor()`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setDisplayMode(DisplayModeEnum displayMode)`
`void` | `setText(java.lang.String text)`
`void` | `setTextColor(java.lang.String textColor)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BallonStyle

    public BallonStyle()

### BallonStyle

    public BallonStyle(java.lang.String bgColor,
                       java.lang.String textColor,
                       java.lang.String text,
                       DisplayModeEnum displayMode)

Method Detail

### getBgColor

    public java.lang.String getBgColor()

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getTextColor

    public java.lang.String getTextColor()

### setTextColor

    public void setTextColor(java.lang.String textColor)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getDisplayMode

    public DisplayModeEnum getDisplayMode()

### setDisplayMode

    public void setDisplayMode(DisplayModeEnum displayMode)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD